Release 0.16 (2022/10/21)
===========
Features
--------
* [#59](https://github.com/Zlika/reproducible-build-maven-plugin/pull/59): Make strip-jaxb also work with the org.glassfish xjc implementation - [@nilsaellen](https://github.com/nilsaellen).

Non-functional changes
----------------------
* Upgrade maven plugins.
* Fix wrong scope for maven-plugin-api.

Release 0.15 (2021/12/28)
===========
Features
--------
* [#55](https://github.com/Zlika/reproducible-build-maven-plugin/pull/55): Remove (unreproducible) comments from spring.factories files - [@arobie1992](https://github.com/arobie1992).

Release 0.14 (2021/10/16)
===========
Features
--------
* [#50](https://github.com/Zlika/reproducible-build-maven-plugin/pull/50): Add .adapter as a supported ZIP type - [@rhysm](https://github.com/rhysm).
* [#52](https://github.com/Zlika/reproducible-build-maven-plugin/pull/52): Handle nested jars/zips when stripping jars/zips - [tobias-hammerschmidt](https://github.com/tobias-hammerschmidt)

Non-functional changes
----------------------
* Upgrade commons-compress to fix CVE.
* Upgrade junit to fix CVE.
* Upgrade Maven plugins.

Release 0.13 (2020/10/03)
===========
Features
--------
* [#36](https://github.com/Zlika/reproducible-build-maven-plugin/issues/36), [#46](https://github.com/Zlika/reproducible-build-maven-plugin/pull/46): Add configuration options to explicitly include/exclude files to be processed - [@io7m](https://github.com/io7m).

Bug Fixes
---------
* Fix possible vulnerability (arbitrary file write during archive extraction) reported by Github CodeQL.

Release 0.12 (2020/05/07)
===========
Bug Fixes
---------
* [#43](https://github.com/Zlika/reproducible-build-maven-plugin/issues/43): Fix timestamps and unix permissions in TAR file entries.
* [#44](https://github.com/Zlika/reproducible-build-maven-plugin/issues/44): Fix generation of TAR archives including files with long names.

Non-functional changes
----------------------
* Upgrade commons-compress to fix CVE.

Release 0.11 (2019/09/03)
===========
Features
--------
* [#42](https://github.com/Zlika/reproducible-build-maven-plugin/issues/42): Correctly process "executable" files generated by the spring-boot-maven-plugin.

Release 0.10 (2019/06/04)
===========
Features
--------
* [#41](https://github.com/Zlika/reproducible-build-maven-plugin/issues/41): Remove comments (and then timestamps) and unreproducible properties in the following properties files: META-INF/build-info.properties (generated by Spring Boot) and BOOT-INFO/classes/git.properties (generated by Git-Commit-Id-Plugin).

Release 0.9 (2019/04/14)
===========
Features
--------
* [#37](https://github.com/Zlika/reproducible-build-maven-plugin/issues/37): Reproducible line endings for META-INF/sisu/javax.inject.Named + configuration option to add a list of text files where the line endings should be made reproducible.

Non-functional changes
----------------------
* [#35](https://github.com/Zlika/reproducible-build-maven-plugin/pull/35): Publish buildable source archive of this plugin to Maven central when releasing - [@hboutemy](https://github.com/hboutemy).

Release 0.8 (2018/11/27)
===========
Features
--------
* [#24](https://github.com/Zlika/reproducible-build-maven-plugin/issues/24): Add optional property "fixZipExternalFileAttributes" to set access rights in JAR's files to be robust to different umask values.
* [#27](https://github.com/Zlika/reproducible-build-maven-plugin/issues/27): Also strips Jenkins plugins (*.hpi).
* [#33](https://github.com/Zlika/reproducible-build-maven-plugin/issues/33): Remove timestamps from JAXB generated files.

Non-functional changes
----------------------
* Upgrade version of commons-compress to avoid potential security issue.

Release 0.7 (2018/06/03)
===========
Features
--------
* [#17](https://github.com/Zlika/reproducible-build-maven-plugin/issues/17): Add user-configurable list of additional manifest attributes to remove.
* [#23](https://github.com/Zlika/reproducible-build-maven-plugin/issues/23): Remove OpenIDE-Module-Build-Version attribute in manifest.

Release 0.6 (2018/04/30)
===========
Features
--------
* [#20](https://github.com/Zlika/reproducible-build-maven-plugin/pull/20): Add new parameters for strip-jar goal: zipDateTime and zipDateTimeFormatPattern - [@aksian](https://github.com/aksian).

Release 0.5.2 (2018/03/13)
=============
Bug Fixes
---------
* [#15](https://github.com/Zlika/reproducible-build-maven-plugin/issues/15): Fix another bug during sorting of MANIFEST.MF files - [@unicolet](https://github.com/unicolet).

Release 0.5.1 (2018/03/08)
=============
Bug Fixes
---------
* [#15](https://github.com/Zlika/reproducible-build-maven-plugin/issues/15): Take into account multi-line attributes and sections when sorting MANIFEST.MF files.
* [#16](https://github.com/Zlika/reproducible-build-maven-plugin/issues/16): Some tools require META-INF/MANIFEST.MF to be the first file in the archive.

Release 0.5 (2018/02/17)
===========
Features
--------
* Sorts entries in MANIFEST.MF file (workaround for maven-archiver bug [MSHARED-511](https://issues.apache.org/jira/browse/MSHARED-511)).
* [#4](https://github.com/Zlika/reproducible-build-maven-plugin/issues/4): Strips also tar/tar.gz/tar.bz archives - [@unicolet](https://github.com/unicolet), [@tglman](https://github.com/tglman).

Release 0.4 (2017/10/27)
===========
Bug Fixes
---------
* [#12](https://github.com/Zlika/reproducible-build-maven-plugin/issues/12): Change default ZIP timestamp to 2000/01/01 at 00:00:00 to work around Java 9 compiler bug [JDK-8184940](https://bugs.openjdk.java.net/browse/JDK-8184940) - [@io7m](https://github.com/io7m).

Non-functional changes
----------------------
* [#10](https://github.com/Zlika/reproducible-build-maven-plugin/issues/10): Declare the plugin's goals as thread-safe.
* Add "Automatic-Module-Name" in Manifest.
* The plugin can now be built with Java 9.

Release 0.3 (2017/08/10)
===========
Bug Fixes
---------
* [#6](https://github.com/Zlika/reproducible-build-maven-plugin/issues/6): Fix wrong detection of ZIP files.

Features
--------
* Add M2Eclipse lifecycle mapping metadata for Eclipse IDE.
* Strips plugin.xml and plugin-help.xml files generated by maven-plugin-tools.
* [#3](https://github.com/Zlika/reproducible-build-maven-plugin/pull/3): Allow standalone usage of strip-jar - [@jumapico](https://github.com/jumapico).

Non-functional changes
----------------------
* Upgrade commons-compress to avoid reflection hack.

Release 0.2 (2015/10/06)
===========
Bug Fixes
---------
* Fix NPE if target folder does not exist.

Features
--------
* New strip-jaxb goal to normalize ObjectFactory.java files produced by JAXB/xjc.

Release 0.1 (2015/10/01)
===========
First release for tests.

Features
--------
* Sorts ZIP entries by name.
* Sets file timestamps in ZIP entries to 0.
* Removes timestamps, user name and tool versions in MANIFEST.MF.
* Removes timestamp in pom.properties.
